Bug 18143 - Silence floody MARC framework export
Summary: Silence floody MARC framework export
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: M. Tompsett
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-19 00:19 UTC by M. Tompsett
Modified: 2019-03-12 08:17 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 18143: Silence XML MARC Framework export flood (1.31 KB, patch)
2017-02-19 00:59 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 18143: Silence ods MARC framework export flood (901 bytes, patch)
2017-02-19 00:59 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 18143: Silence XML MARC Framework export flood (1.38 KB, patch)
2019-01-11 20:03 UTC, Pierre-Marc Thibault
Details | Diff | Splinter Review
Bug 18143: Silence ods MARC framework export flood (972 bytes, patch)
2019-01-11 20:03 UTC, Pierre-Marc Thibault
Details | Diff | Splinter Review
Bug 18143: Silence XML MARC Framework export flood (1.46 KB, patch)
2019-02-11 12:24 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 18143: Silence ods MARC framework export flood (1.03 KB, patch)
2019-02-11 12:24 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description M. Tompsett 2017-02-19 00:19:23 UTC
ODS and XML Marc framework exports are still floody. Correct the floodiness. See also bug 17389 and bug 16035. If there is an undef, using blank, q{}, instead.
Comment 1 M. Tompsett 2017-02-19 00:59:17 UTC
Created attachment 60434 [details] [review]
Bug 18143: Silence XML MARC Framework export flood

TEST PLAN
---------
1) Log in to staff client
2) Click Koha administration
3) Click MARC bibliographic framework
4) export default as xml
5) Read the error log
   -- it's floody and export is default framework
6) export another framework as xml
7) Read the error log
   -- it's floody and export is the correct framework
8) apply the patch
9) repeat steps 4-7
   -- expected frameworks exported, and no flooding.
10) run koha qa test tools
Comment 2 M. Tompsett 2017-02-19 00:59:29 UTC
Created attachment 60435 [details] [review]
Bug 18143: Silence ods MARC framework export flood
Comment 3 Pierre-Marc Thibault 2019-01-11 20:03:48 UTC
Created attachment 83825 [details] [review]
Bug 18143: Silence XML MARC Framework export flood

TEST PLAN
---------
1) Log in to staff client
2) Click Koha administration
3) Click MARC bibliographic framework
4) export default as xml
5) Read the error log
   -- it's floody and export is default framework
6) export another framework as xml
7) Read the error log
   -- it's floody and export is the correct framework
8) apply the patch
9) repeat steps 4-7
   -- expected frameworks exported, and no flooding.
10) run koha qa test tools

Signed-off-by: Pierre-Marc Thibault <pierre-marc.thibault@inLibro.com>
Comment 4 Pierre-Marc Thibault 2019-01-11 20:03:51 UTC
Created attachment 83826 [details] [review]
Bug 18143: Silence ods MARC framework export flood

Signed-off-by: Pierre-Marc Thibault <pierre-marc.thibault@inLibro.com>
Comment 5 Kyle M Hall 2019-02-11 12:24:36 UTC
Created attachment 84968 [details] [review]
Bug 18143: Silence XML MARC Framework export flood

TEST PLAN
---------
1) Log in to staff client
2) Click Koha administration
3) Click MARC bibliographic framework
4) export default as xml
5) Read the error log
   -- it's floody and export is default framework
6) export another framework as xml
7) Read the error log
   -- it's floody and export is the correct framework
8) apply the patch
9) repeat steps 4-7
   -- expected frameworks exported, and no flooding.
10) run koha qa test tools

Signed-off-by: Pierre-Marc Thibault <pierre-marc.thibault@inLibro.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 6 Kyle M Hall 2019-02-11 12:24:45 UTC
Created attachment 84969 [details] [review]
Bug 18143: Silence ods MARC framework export flood

Signed-off-by: Pierre-Marc Thibault <pierre-marc.thibault@inLibro.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 7 Nick Clemens 2019-02-19 13:58:34 UTC
Awesome work all!

Pushed to master for 19.05
Comment 8 Martin Renvoize 2019-02-26 09:09:00 UTC
Pushed to 18.11.x for 18.11.04.. it's never good to flood the logs.
Comment 9 Lucas Gass 2019-03-06 22:48:03 UTC
backported to 18.05.x for 18.05.11
Comment 10 Fridolin SOMERS 2019-03-12 08:17:18 UTC
Pushed to 17.11.x for 17.11.17